Subject: Re: Can't boot 2.6.30 powerpc kernel under qemu.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 30 Jun 2009 20:50:20 +1000

On Tue, 2009-06-30 at 10:24 +1000, Michael Ellerman wrote:
> On Mon, 2009-06-29 at 18:34 -0500, Rob Landley wrote:
> > Which suggested that the problem was the new CONFIG_PPC_OF_BOOT_TRAMPOLINE 
> > symbol wasn't set, and once I switched that on it started working again.
> 
> What defconfig are you using? It sounds like maybe something should be
> 'select'ing OF_BOOT_TRAMPOLINE.

Right, pmac, pseries and chrp probably ... though I don't like select
for a user-visible option, I'd rather fix things if I inadvertently
forgot the "default y" here, after all, one may want to do a minimum
kdump kernel without prom_init.c in it.

Cheers,
Ben.

> 
> > > [email-masked] is the one you want for this:
> > >
> > >  https://lists.ozlabs.org/listinfo/linuxppc-dev
> > 
> > Cool!  Is there a reason it's hidden?  (Or at least not listed in either 
> > vger.kernel.org's list info page or in the "Maling lists" page linked from 
> > ozlabs.org's top level web page.)  Just curious, I couldn't find it when I 
> > looked in the obvious (to me) places.
> 
> It's not hidden, it's just in the process of moving from ozlabs.org to
> lists.ozlabs.org - and it's a bit hard to find in the process. I've
> updated the ozlabs.org page to point to it in the meantime.
> 
> It's also in maintainers :D
> 
> LINUX FOR POWERPC (32-BIT AND 64-BIT)                                                                          
> P:      Benjamin Herrenschmidt
> M:      [email-masked]
> P:      Paul Mackerras
> M:      [email-masked]
> W:      http://www.penguinppc.org/
> L:      [email-masked]
> T:      git git://git.kernel.org/pub/scm/linux/kernel/git/benh/powerpc.git
> S:      Supported
> 
> 
> cheers
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev